# TopLoc_Location.hxx File Reference

`#include <TopLoc_SListOfItemLocation.hxx>`
`#include <Handle_TopLoc_Datum3D.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Standard_OStream.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`
`#include <TopLoc_Location.lxx>`

## Functions

Standard_Integer | HashCode (const TopLoc_Location &me, const Standard_Integer Upper)
void | ShallowDump (const TopLoc_Location &me, Standard_OStream &S)

## Function Documentation

Standard_Integer HashCode | ( | const TopLoc_Location & | me,
|  | const Standard_Integer | Upper
| ) | `[inline]`

void ShallowDump | ( | const TopLoc_Location & | me,
|  | Standard_OStream & | S
| ) | `[inline]`